# Uses of Interface
com.databricks.jdbc.dbclient.IDatabricksClient

Packages that use IDatabricksClient
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift

## Uses of IDatabricksClient in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return IDatabricksClient
Modifier and Type
Method
Description
`IDatabricksClient`
DatabricksSession.`getDatabricksClient()`
Constructors in com.databricks.jdbc.api.impl with parameters of type IDatabricksClient
Modifier
Constructor
Description
``
`DatabricksConnection(IDatabricksConnectionContext connectionContext, IDatabricksClient testDatabricksClient)`
``
`DatabricksSession(IDatabricksConnectionContext connectionContext, IDatabricksClient testDatabricksClient)`
Constructor method to be used for mocking in a test case.

## Uses of IDatabricksClient in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return IDatabricksClient
Modifier and Type
Method
Description
`IDatabricksClient`
IDatabricksSession.`getDatabricksClient()`
Returns the client for connecting to Databricks server

## Uses of IDatabricksClient in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common with parameters of type IDatabricksClient
Modifier and Type
Method
Description
`static TimeoutHandler`
TimeoutHandler.`forStatement(int timeoutSeconds, StatementId statementId, IDatabricksClient client)`
Factory method to create a timeout handler for a databricks client with a statement ID.

## Uses of IDatabricksClient in com.databricks.jdbc.dbclient.impl.sqlexec

Classes in com.databricks.jdbc.dbclient.impl.sqlexec that implement IDatabricksClient
Modifier and Type
Class
Description
`class`
`DatabricksSdkClient`
Implementation of IDatabricksClient interface using Databricks Java SDK.
Constructors in com.databricks.jdbc.dbclient.impl.sqlexec with parameters of type IDatabricksClient
Modifier
Constructor
Description
``
`DatabricksMetadataSdkClient(IDatabricksClient sdkClient)`

## Uses of IDatabricksClient in com.databricks.jdbc.dbclient.impl.thrift

Classes in com.databricks.jdbc.dbclient.impl.thrift that implement IDatabricksClient
Modifier and Type
Class
Description
`class`
`DatabricksThriftServiceClient`